.App {
  text-align: center;
}

.App-logo {
  animation: App-logo-spin infinite 20s linear;
  height: 40vmin;
  pointer-events: none;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.editor_mode_switch {
  /*width: '10%';*/
  position: fixed;  
  top: 10px;
  right: 10px;
  border: 1px solid black;
  background-color: #61dafb;
  padding: 1rem
}

.editor_mode_switch em {
  border: '1px solid red'
}

.editor_control_panel {
  background-color: 'purple';
  width: '10rem'
}

.editor_container {
  display: flex;
  flex-direction: row;
  height: '100%';
  border: 1px solid yellow
}